*CMZ :  2.01/01 21/11/95  13.07.59  by  Hartwig Albrecht
*-- Author :    Hartwig Albrecht   16/03/95

      SUBROUTINE CHAPCF (C, F, N)

************************************************************************
*
* Description: append comma + real number F at the end of C
*
* Called from: anywhere
*
* External references: CHDTOC
*
* Argument in/out description
*  C       in/out character string to be updated
*  F       in     real number to be appended
*  N       in     accuracy (N > 0); digits after . (N <=0)
*
************************************************************************

      IMPLICIT NONE

      INTEGER LENOCC, L, N
      REAL F
      CHARACTER*(*) C
      CHARACTER*30 C30

      CALL CHDTOC (DBLE(F), N, '*', C30)

      L = LENOCC(C)
      IF (L + 1 .LT. LEN(C))  THEN
        C(L+1:L+1) = ','
        C(L+2:) = C30
      END IF
      IF (L + LENOCC(C30) .GE. LEN(C))  C(LEN(C):LEN(C)) = '!'

      END

************************************************************************
* End of CHAPCF
************************************************************************
