/*CMZ :          20/06/96  11.22.27  by  Hartwig Albrecht*/
/*-- Author :    Hartwig Albrecht   20/06/96*/

#ifdef sgi
          /* to get INT_MAX */
          #include <limits.h>
          #include <sigfpe.h>

void utfpes_ () {
            /* underflow to zero */
            sigfpe_[_UNDERFL].repls = _ZERO;
            /* substitute IEEE value on overflow */
            sigfpe_[_OVERFL].repls=_APPROPRIATE;
            /* trace after 5 */
            sigfpe_[_UNDERFL].trace=5;
            sigfpe_[_OVERFL].trace =5;
            sigfpe_[_DIVZERO].trace=5;
            sigfpe_[_INVALID].trace=5;
            /* counts at end */
            sigfpe_[_UNDERFL].count=INT_MAX;
            sigfpe_[_OVERFL].count =INT_MAX;
            sigfpe_[_DIVZERO].count=INT_MAX;
            sigfpe_[_INVALID].count=INT_MAX;

            sigfpe_[_UNDERFL].abort=INT_MAX;
            sigfpe_[_OVERFL].abort =INT_MAX;
            sigfpe_[_DIVZERO].abort=INT_MAX;
            sigfpe_[_INVALID].abort=INT_MAX;

            handle_sigfpes(_ON,
              _EN_UNDERFL| _EN_OVERFL|_EN_DIVZERO
              | _EN_INVALID,
              0,
              _ABORT_ON_ERROR,
              0);
}
#else
void utfpes_ () {}
#endif


/***********************************************************************
* End of UTFPES
***********************************************************************/
