*-- Author :    Thomas Lohse   March 8, 1999

      SUBROUTINE KASELE

************************************************************************
*
* Description: PARTICLE command; defines up to 5 particles, at least 
*                            one of which is required in final state
*
* Called from: KUIP
*
* External references:
*
* Argument in/out description
*
************************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"
#include "arte/ArteFlag.fi"
#include "auto/TOPP.fi"
#include "arte/luopts.fi"

      INTEGER L, TPNAM1, i
      integer message_id_1
      CHARACTER*12 CH

      save message_id_1

#include "arte/Arte.ff"
#include "auto/TOPP.ff"

      if (LUNDINIT.ne.1) then
        call ALTOPP
        call ALTDEC
        LUNDINIT = 1
      endif

      do  i = 1, 5
        lusele(i) = 0
      enddo
      lunsel = 0
      do  i = 1, 5
        call KUGETS(CH, L)
        if (L .eq. 0)   goto 90
        lusele(i) = TPNAM1 (CH)
        if (lusele(i) .ne. 0) then
          lusele(i) = ITOPP_LUND(lusele(i))
          lunsel    = i
        else
          call MEERRC (message_id_1, 
     +          'LUND: required particle is unknown')
        endif
      enddo

 90   END

************************************************************************
* End of KASELE
************************************************************************
