*CMZ :          11/09/96  23.10.25  by  Fedor Ratnikov
*-- Author :    Fedor Ratnikov   10/09/96

      SUBROUTINE L1SVTRI(iTrig,MePo1,MePo2)

************************************************************************
*
* Description: Fill trigger table J1TRI
*
* Called from:  L1MCUFA
*
* External references:
*
* Argument in/out description
*
*  iTrig        in        Trigger ID
*  MePo1,MePo2  in        Messages pair forming the trigger
*
************************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"
#include "auto/YTRI.fi"
#include "auto/YTRA.fi"
#include "l1si/l1param.fi"
#include "l1si/l1geodf.fi"
#include "l1si/l1mesdf.fi"

      INTEGER iTrig,MePo1,MePo2,itra1,itra2

#include "arte/Arte.ff"
#include "auto/YTRI.ff"
#include "auto/YTRA.ff"

      CALL MMBOOK(JYTRI,1)    ! book new row
c
      IQ(IQYTRI_BX_L()) = L1MEstor(MePo1+L1MEprbx)
      itra1 = L1MEstor(MePo1+L1ME1traRel)
      itra2 = L1MEstor(MePo2+L1ME1traRel)
      IQ(HQYTRI_ID_L(1)) = HYTRA_ID(itra1)
      IQ(HQYTRI_ID_L(2)) = HYTRA_ID(itra2)
      IQ(IQYTRI_TRA1_L()) = itra1
      IQ(IQYTRI_TRA2_L()) = itra2
      Q(QYTRI_MASS_L()) =  SQRT(FYTRA_E(itra1)* FYTRA_E(itra2)*
     &     ((FYTRA_PXPZ(itra1)-FYTRA_PXPZ(itra2))**2+
     &     (FYTRA_PYPZ(itra1)-FYTRA_PYPZ(itra2))**2))
      RETURN
      END

************************************************************************
* End of L1SVTRI
************************************************************************
