*CMZ :  1.00/01 12/06/95  18.45.27  by  Dominik Ressing
*-- Author :    Dominik Ressing   09/06/95
************************************************************************
*
* T1ECACU
* written by Dominik Ressing, 09/06/95 20.23.11
*
* This routines action:
* returns the position dependent (variable) cut value for ECAL position
*
* Arguments  kind         description
*          (in,update,out)
*-----------------------------------------------------------------------
* x0         in           x of center of central block
* y0         in           y of center of central block
*
************************************************************************
c
      REAL FUNCTION T1ECACV(x0,y0)
c
      IMPLICIT NONE
c
#include "l1si/l1param.fi"
c
      REAL    x0,y0,xx,yy,rinv
c
      xx = x0*x0
      yy = y0*y0
      rinv = MIN(1./T1DEFRmin,1./sqrt(xx+yy)+1./sqrt(xx+abs(y0)*yy))
      T1ECACV = T1DEFktrig*rinv
c
      RETURN
c
      END
