*CMZ :  4.05/00 14/04/96  14.32.21  by  Rainer Mankel
*-- Author :    Rainer Mankel   02/04/96


      subroutine prhitc()

*     **** print hit information
      implicit none
      integer id1, id2, jauxmi, ialia, hitc, mcal, mtra, line, gcce

#include "arte/Arte.fi"
#include "auto/GEO.fi"
#include "auto/HITC.fi"
#include "auto/MCAL.fi"
#include "auto/MIMP.fi"
#include "arte/Arte.ff"
#include "auto/GEO.ff"
#include "auto/HITC.ff"
#include "auto/MCAL.ff"
#include "auto/MIMP.ff"

*     **** parameters
      call kugeti(id1)
      call kugeti(id2)
      call kugeti(gcce)

*     **** fixup
      if (jhitc.le.0) then
         call mewarn('prhitc: table HITC is not booked')
         go to 999
      endif

      if (id1.eq.0) then
         id1 = 1
         if (id2.eq.0) id2 = nhitc()
      else
         if (id2.eq.0) id2 = id1
      endif

*     **** loop over range
      id1 = max(id1,1)
      id2 = min(id2,nhitc())

      line = 0

      do 10 hitc=id1,id2
*        **** loop over associated MCALs
         if (gcce.ne.0) then
            if (ihitc_gcce(hitc).ne.gcce) go to 10
         endif

         do 20 ialia=1,99
            if (ialia.eq.1) then
               jauxmi = phitc_mcal(hitc)
            else
               jauxmi = xhitc_mcal(jauxmi)
            endif
            if (jauxmi.gt.0) then
               mcal = mhitc_mcal(jauxmi)
               mtra = omcal_mtra(mcal)
            else
               if (ialia.gt.1) go to 21
               mcal = 0
               mtra = 0
            endif
            if (ialia.eq.1) then
               if (mod(line,20).eq.0) then
*                 **** print headline
                  print '(a6,4a10,a8,a6,a6,a6)',
     +                 'hitc','x','y','q','r','gcce','trk','mcal','mtra'
               endif
               print '(i6,4f10.3,i8,i6,i6)',
     +              hitc,fhitc_x(hitc),fhitc_y(hitc),
     +              fhitc_q(hitc),fhitc_r(hitc),ihitc_gcce(hitc),
     +              mcal,mtra

**     +              ohitc_rtra(hitc),mcal,mtra
               line = line + 1
            else
               print '(6x,40x,8x,6x,i6,i6)',mcal,mtra
            endif
            if (jauxmi.eq.0) go to 21
 20      continue
 21      continue

 10   continue

      print *,' total number of hitc rows:', nhitc()


 999  end

