      subroutine ditrd2(xx,yy,zz,mad,rot,cob,cov)
      implicit none
#include "arte/Arte.fi"
#include "pris/zgraf.fi"
#include "pris/zmh.fi"

**     **** display wall "iwl" with wires hit
*     **** llist=1 triggers listing of wire coordinates
      real wc(3,40), wccm(3,6), depth(6)
      integer ii, iwl, seq(6), nseq
      integer iface, corner, dim
      integer face(4,6)
      integer np
      parameter (np=8)
      real xx(2),yy(2),zz(2),mad(3),rot(9),cob,cov
      real xxx(np), yyy(np)
#include "auto/GEO.fi"
#include "arte/Arte.ff"
#include "auto/GEO.ff"
      data face /
     +     1, 2, 3, 4,          ! front face
     +     1, 4, 8, 5,          ! right face
     +     2, 3, 7, 6,          ! left face
     +     1, 2, 6, 5,          ! top face
     +     3, 4, 8, 7,          ! bottom face
     +     5, 6, 7, 8 /         ! back face


*     **** draw trapezoid

      print *,' ditrd2: xx,yy,zz,mad,rot,cob,cov=',
     +     xx,yy,zz,mad,rot,cob,cov
*     **** trapezoid (trd2), define the eight corners
      wc(1,1) = fgwal_xmax(iwl)
      wc(2,1) = fgwal_ymax(iwl)
      wc(3,1) = fgwal_zmin(iwl)
      wc(1,2) = fgwal_xmin(iwl)
      wc(2,2) = fgwal_ymax(iwl)
      wc(3,2) = fgwal_zmin(iwl)
      wc(1,3) = fgwal_xmin(iwl)
      wc(2,3) = fgwal_ymin(iwl)
      wc(3,3) = fgwal_zmin(iwl)
      wc(1,4) = fgwal_xmax(iwl)
      wc(2,4) = fgwal_ymin(iwl)
      wc(3,4) = fgwal_zmin(iwl)
      wc(1,5) = fgwal_xmax(iwl) + fgwal_xmad(iwl)
      wc(2,5) = fgwal_ymax(iwl) + fgwal_ymad(iwl)
      wc(3,5) = fgwal_zmax(iwl)
      wc(1,6) = fgwal_xmin(iwl) - fgwal_xmad(iwl)
      wc(2,6) = fgwal_ymax(iwl) + fgwal_ymad(iwl)
      wc(3,6) = fgwal_zmax(iwl)
      wc(1,7) = fgwal_xmin(iwl) - fgwal_xmad(iwl)
      wc(2,7) = fgwal_ymin(iwl) - fgwal_ymad(iwl)
      wc(3,7) = fgwal_zmax(iwl)
      wc(1,8) = fgwal_xmax(iwl) + fgwal_xmad(iwl)
      wc(2,8) = fgwal_ymin(iwl) - fgwal_ymad(iwl)
      wc(3,8) = fgwal_zmax(iwl)

*     **** rotation
      do ii=1,8
**         wc(3,ii) = wc(3,ii) - 1080. ! shift to gean center of rotation
         call dirot(wc(1,ii),rot)
**         wc(3,ii) = wc(3,ii) + 1080. ! shift back
*         call dipro(wc(1,ii),xxx(ii),yyy(ii))
      enddo
      
      do iface=1,6
         do dim=1,3
            wccm(dim,iface) = 0.
         enddo
         do corner=1,4
            do dim=1,3
               wccm(dim,iface) = wccm(dim,iface)
     +              + wc(dim,face(corner,iface))
            enddo
         enddo
         do dim=1,3
            wccm(dim,iface) = wccm(dim,iface) / 6. ! luxury
         enddo
         call didepth(wccm(1,iface),depth(iface))
         depth(iface) = depth(iface) * idirzg ! view direction
      enddo
      nseq = 6
      call sortzv(depth,seq,6,+1,1,0) ! sort decr depth

      call isplci(int(coribzg)) ! set graphics style
      call igsg(1)
      call isln(1)
      call igset('FACI',cov)
      call igset('FAIS',1.)

      do ii=1,nseq
         iface = seq(ii)        ! faces in sorted order
**        print *,' diwall: draw face ', iface
         do corner=1,4
            call dipro(
     +           wc(1,face(corner,iface)),xxx(corner),yyy(corner))
         enddo
         
         xxx(5) = xxx(1)        ! close the parallelogram
         yyy(5) = yyy(1)

         call igset('PLCI',cov)
         call igset('FACI',cov)
         call igset('FAIS',1.)
         call igset('BORD',0.)
         call ifa(5,xxx,yyy)    ! draw volume

         call igset('PLCI',cob) ! draw border
         call igset('FAIS',0.)
         call igset('LWID',7.)
         call ipl(5,xxx,yyy)
      enddo

      end
