*-- Author:    A.Spiridonov    04/08/99
*   changed:
*   new initial values                         27/08/00  A. Spiridonov  
*   quality_ext_min =8.5                       17/09/00  A. Spiridonov 
*
      subroutine tfextinit()

*     **** initialize the ranger-external parameters
*     **** called by rginit

      implicit none

#include "rang/zfpar.fi"
#include "rang/zfpar_tc.fi"
#include "rang/zfpar_ext.fi"
#include "rang/zfmode.fi"
#include "rang/zfout.fi"
#include "rang/zfconst.fi"
#include "rang/FLAGWhit.hh"


      maxflt_ext_zfpar = 5      ! max #faults in sequence (ext tracking)

      rmax_ext_zfpar= 5         ! max rank of ext tracking

      wchi_ext_zfpar = .05 ! quality function chi**2 weight ext tracking

      chmax_ext_zfpar = 16. ! max chi**2 in filter step TC tracking

      whitmin_ext_zfpar = 10. ! minimal whit for maturity TC tracking

      quality_ext_min =8.5   ! minimal quality_ft() for ext track

      zmin_ext_zfpar = 0.    ! lower z bound for ext tracking
**      zmin_ext_zfpar = 1175.    ! lower z bound for ext tracking
**      zmax_ext_zfpar = 1330.    ! upper z bound for ext tracking
      zmax_ext_zfpar = 10000.    ! upper z bound for ext tracking

      end


