*
*-- Author :    Vik   11/11/98
*

      SUBROUTINE TRD_MCTR(X_REC, Y_REC, Z_REC)

**********************************************************************
*
*
* Called from: TRD_WAY, TRD_TRA
*
*          in: X_REC, Y_REC, Z_REC -> X,Y,Z coordinates for 
*                                     TRD track 
*
*********************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"
#include "gean/gclink.fi"
#include "gean/gcvolu.fi"
#include "gean/gcflag.fi"
#include "gean/ZGMOTH.fi"
#include "auto/GEO.fi"
#include "gean/ZGESL.fi"
#include "gean/ZGDETV.fi"
#include "auto/MIMP.fi"
#include "auto/MTRA.fi"
#include "auto/TOPP.fi"
#include "auto/DIGB.fi"
#include "auto/HITB.fi"

      
      REAL X_REC, Y_REC, Z_REC, X_REC_MIN, Y_REC_MIN, Z_REC_MIN,
     +     X_REC_MAX, Y_REC_MAX, Z_REC_MAX
C      INTEGER N_MCTR, IMP, N_MCTR, I_MCTR
      INTEGER N_MCTR, IMP, I_MCTR

      COMMON /REC_MC/ I_MCTR

      DIMENSION I_MCTR(50)
C
#include "arte/Arte.ff"
#include "auto/GEO.ff"
#include "auto/MIMP.ff"
#include "auto/MTRA.ff"
#include "auto/TOPP.ff"
#include "auto/DIGB.ff"
#include "auto/HITB.ff"
C
C TRD Event Analysis.
C
*      PRINT *,'START MCTR analysis for TRD'
C
      CALL VZERO(I_MCTR,50)
C
      X_REC_MIN = X_REC - 2.
      X_REC_MAX = X_REC + 2.
      Y_REC_MIN = Y_REC - 2.
      Y_REC_MAX = Y_REC + 2.
      Z_REC_MIN = Z_REC - 0.305
      Z_REC_MAX = Z_REC + 0.305
C
      N_MCTR = 0
C
        DO IMP = 1, NMIMP()
C
         IF(FMIMP_Z(IMP).GE.Z_REC_MIN.AND.FMIMP_Z(IMP).LE.Z_REC_MAX.AND.
     +      FMIMP_X(IMP).GE.X_REC_MIN.AND.FMIMP_X(IMP).LE.X_REC_MAX.AND.
     +      FMIMP_Y(IMP).GE.Y_REC_MIN.AND.FMIMP_Y(IMP).LE.Y_REC_MAX)
     +      THEN
C
            N_MCTR         = N_MCTR + 1
            I_MCTR(N_MCTR) = OMIMP_MTRA(IMP)
C
         END IF
C
        END DO
C
*      PRINT *,'STOP MCTR analysis for TRD'
C
 900  END

*********************************************************************
* End of TRD_MCTR
************************************************************************
