*-- Author :    Serguei Moukhine   26/04/98

      SUBROUTINE ATSTOPC (TEXT,LENGTH)

************************************************************************
*
* Description: ARTE termination
*
* Called from: anywhere (from C)
*
* External references: ATSTOP
*
* Argument in/out  description
*  TEXT    in      message text (came from C)
*  LENGTH  in      message length
*
************************************************************************

      IMPLICIT NONE

      INTEGER TEXT(1), LENGTH
      INTEGER LEN
      CHARACTER T78*78, CH1(78)
      EQUIVALENCE (CH1, T78)
      DATA CH1 /78*' '/

      LEN = MIN (LENGTH, 78)
      CALL UHTOC  (TEXT, 4, T78, LEN)
      CALL ATSTOP (T78)

      END

************************************************************************
* End of ATSTOPC
************************************************************************
