*-- Author :    Hartwig Albrecht   24/03/95

      SUBROUTINE CHLEFT (CTXT)

************************************************************************
*
* Description: shift text to the rightmost position
*
* Called from: anywhere
*
* External references: none
*
* Argument in/out description
*   CTXT   in/out text
*
************************************************************************

      IMPLICIT NONE

      INTEGER I, L
      CHARACTER CTXT*(*)

      IF (CTXT(1:1) .NE. ' ')  GO TO 90
      DO L = 2, LEN(CTXT)
        IF (CTXT(L:L) .NE. ' ')  GO TO 10
      END DO
      GO TO 90

 10   DO I = 1, LEN(CTXT) - L + 1
        CTXT(I:I) = CTXT(I+L-1:I+L-1)
      END DO

      CTXT(I:) = ' '

 90   END

************************************************************************
* End of CHLEFT
************************************************************************
