
// ******************************************************************
//
// D. Samtleben 10 Aug 1999
//
// Filling of histograms
//
// changes:
// 28 Oct 1999 (AG) use defines from DQ.h
//  1 Nov 1999 (AG) get rid of dq_hid.h
//
// ******************************************************************

// standard includes
#include <stdlib.h>
#include <stdio.h>

// ONLINE includes
#include "rhp.h"
#include "event.h"

// Arte includes
#include "arte/arte.hh"
#include "dq/DQ.h"
#include "dq/DQ_OTR.h"

//
// function code
//
int
DQ_OTR_rec_evnt()
{
  int nrOTRtracks=0;
  for(ArteTableIterator<RSEG> track;track.valid();track.next())
    {
      float tx=track->txf;
      float ty=track->tyf;
      /* OTR track */
      if(track->cmp==2)
        {
          rhp_hfill(DQ_ID(COMP_OTR,LVL_REC,201),tx,ty,1);
          nrOTRtracks++;
        }
    }

  rhp_hf1(DQ_ID(COMP_OTR,LVL_REC,200),nrOTRtracks,1);

  return 0; // return error code (0 = okay)
}
