#include "arte/arte.hh"
#include "grover/grover.hh"

// Part of the Grover package
// Please see the header file grover.hh
// for authors etc.
//
//
// Modifications:
// When?     Who?     What?
// YY-MM-DD  Name     Modification
// -----------------------------------------------------------------------------
//
//

int GroverFillFromRTAR(GroverWireList* gwl)
{
  if (!ArteTable<RTAR>::booked()) return -1;
  gwl->clear();
  for (ArteTable<RTAR>::iterator irtar = ArteTable<RTAR>::begin();
       irtar != ArteTable<RTAR>::end(); ++irtar) {
    GroverWire temp(irtar);
    gwl->push_back(temp);
  }
  return 0;
}
