*-- Author :    Hartwig Albrecht   21/05/95

      SUBROUTINE KADATT

************************************************************************
*
* Description: DATTRIB command
*
* Called from: KUIP
*
* External references:
*
* Arguments: none
*
************************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"
#include "arte/ArteFlag.fi"
#include "auto/DDEF.fi"
#include "arte/ZDDCOM.fi"
#include "arte/ZDDEFP.fi"

      INTEGER L, CHIND1
      CHARACTER CFORM*7, CN*80
      DATA CFORM /'IBHFSUC'/

#include "arte/Arte.ff"
#include "auto/DDEF.ff"

      CALL KADZZI (LDDEF_ATT)

C attribute name

      CALL KADZZN

C type

      CN = ' '
      CALL KUGETC (CN, L)
      CALL CHCTOH (CN, IQ(L_L(JDDEF_NAM2,JDDEF)), NAMELEN)
      NDDTYP = CHIND1 (CFORM, CN(1:1))
      IF (L .NE. 1 .OR. NDDTYP .EQ. 0)  THEN
        CALL LIDDE0 (NDDEF(), 'TL')
        C78 =  'DATTRIB: format specification must consist of'
        CALL CH78BC (CFORM)
        CALL ME78EC (1634134)
      END IF

      IQ(L_L(JDDEF_COL,JDDEF)) = 0
      CALL KUGETI (L)
      IQ(L_L(JDDEF_DIM,JDDEF)) = L

C comment

      CALL KADZZC

C option -KEY

      CN = ' '
      CALL KUGETC (CN, L)
      IF (L .EQ. 0)  GO TO 90
      IF (CN(1:3) .EQ. 'K  ' .OR. CN(1:3) .EQ. 'KEY')  THEN
        IQ(L_L(JDDEF_KEY,JDDEF)) = 1
        GO TO 90
      END IF
      CALL LIDDE0 (NDDEF(), 'TL')
      CALL MEERRC (765134, 'DATTRIB: option must be -K or -KEY')

 90   END

************************************************************************
* End of KADATT
************************************************************************
