*-- Author :    Hartwig Albrecht   18/03/95

      SUBROUTINE KAIOTA

************************************************************************
*
* Description: change iostatus of a bank
*
* Called from: KUIP
*
* External references: MMTFIL, KUIP
*
* Arguments: none
*
************************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"
#include "auto/MEMO.fi"

      INTEGER I, J, UTTABNF, LENOCC
      CHARACTER CSTR*80, CTAB*80

#include "arte/Arte.ff"
#include "auto/MEMO.ff"

      CSTR = ' '
      CALL KUGETC (CSTR, J)
      IF (J .EQ. 0)  GO TO 80

      CTAB = ' '
      CALL KUGETC (CTAB, I)
      IF (I .EQ. 0)  THEN
        CALL MEERRC (75455,
     +    'specify an Arte table in the above command!')
        GO TO 90
      END IF

      I = UTTABNF (CTAB)

      IF (I .EQ. 0)  THEN
        CALL MEWARC (5612345,
     +    'Arte table ' // CTAB(1:LENOCC(CTAB)) // ' does not exist')
        GO TO 90
      END IF

      IF (I .NE. 0)  CALL DFFILE (I, CSTR)
      GO TO 90

 80   CALL MEERRC (756,
     +  'IOTABLE: missing parameters')

 90   END

************************************************************************
* End of KAIOTA
************************************************************************
