// 
//  Author:  Rainer Mankel                     Created:  10-Jun-99
//           Humboldt University Berlin        Modified:  
//  Email:   mankel@ifh.de                     HERA-B Collaboration
// 

// class rangerProxyWin


#include "rang/ProxyWin.hh"
#include "rang/DomWin.hh"


rangerProxyWin::rangerProxyWin(rangerDomWin* wi,
			       const int position,const float width,
			       rangerDomWin* wiP) {
  FromWin = wi;
  ToWin = wiP;
  Position = position;
  
  switch (position) {
  case 1:
    // upper strip
    MinCoord = wi->ymax() - width;
    MaxCoord = wi->ymax();
    break;
  case 2:
    // lower strip
    MinCoord = wi->ymin();
    MaxCoord = wi->ymin() + width;
    break;
  }
}

    
  
