
*-- Author :    Rainer Mankel   22/09/95

      subroutine dmmain()

*     **** main routine for setting up domain structure
      implicit none
#include "rang/zfpar.fi"
#include "rang/zfout.fi"

      call dmdir()        ! set up plane directory
      if (dlevel_zfpar.eq.1) then
         call dmdom97()         ! set up domains & windows
      else
         call dmdom()           ! set up domains & windows
      endif

      if (llog_zfout) print *,' dmmain: detector level ',dlevel_zfpar

      if (dlevel_zfpar.eq.1) then
         call dmlay97()         ! set up domain layers
      else
         call dmlay()           ! set up domain layers
      endif
      call dmnav()        ! set up domain window navigation table
      call dmseed()       ! set up domain layer seeding table
      call dmdpc()        ! set up pattern rec domain pointers
      call dmdlx()        ! set up segx storage area

*      call dmout()        ! output to file

      end




