// 
//  Author:  Rainer Mankel                     Created:  23-Apr-99
//           Humboldt University Berlin        Modified:  
//  Email:   mankel@ifh.de                     HERA-B Collaboration
// 

// rgdlwin_
// Fortran interface to getter function rangerDomLay::win().
// Returns pointer of associated domain window for a domain layer
// pointer (input parameter)

#include "rang/Domain.hh"
#include "rang/DomLay.hh"

extern "C" {
  rangerDomWin* rgdlwin_(rangerDomLay*& dl) {
    if (dl) {
      return dl->win();
    }
    else {
      return 0;
    }
  }
}



    



