*-- Author :    Rainer Mankel   16/07/96
*-- changed:    A. Spiridonov   28/11/99
* new parameter sline             19/08/00 A. Spiridonov
* new parameter sltmode                                03/09/00  A. Spiridonov
* comments                                             29/10/00  A. Spiridonov
* new parameters sltmagn,tcmode,sltclone               05/11/00  A. Spiridonov 

      subroutine tfkfpar()

*     **** set ranger parameters in /zfpar/
      implicit none
#include "rang/zfpar.fi"
#include "rang/zfpar_tc.fi"
      integer dlevel,rlevel,smooth,niter,nch,msmode,max_plpick,maxflt_x,
     +     maxflt_y,maxflt_mag,maxflt_3d,rmax_x,rmax_y,minmimp_pref,
     +     nhmin_y,navmode,sltmode
      real whmin_x,whmin_y,whmin_3d,whmin_mag,f_moliere,
     +     cxxrf,cyyrf,ctxtxrf,ctytyrf,cqqrf,qplimit,zmin_ec,zmax_ec,
     +     zmin_mag,zmax_mag,qmin_x,qmin_y,qpmxtrip,qmin_d
      character*10 chopt,segstor,clmimp_pref,cdgsel,downstr,sline,
     +     slt_magn,tc_mode,slt_clone
      integer fit,maxflt_tc
      real chmax_x,chmax_y,chmax_mag,chmax_tc,whmin_tc,qmin_tc

      call rginit()  ! make sure parameter defaults are set

      call kugeti(dlevel)
      call kugeti(rlevel)
      call kugeti(smooth)
      call kugeti(niter)
      call kugeti(msmode)
      call kugeti(fit)
      call kugeti(max_plpick)
      call kugeti(maxflt_x)
      call kugeti(maxflt_y)
      call kugeti(maxflt_mag)
      call kugeti(maxflt_3d)
      call kugeti(maxflt_tc)
      call kugeti(rmax_x)
      call kugeti(rmax_y)
      call kugeti(minmimp_pref)

      call kugetr(whmin_x)
      call kugetr(whmin_y)
      call kugetr(whmin_3d)
      call kugetr(whmin_mag)
      call kugetr(whmin_tc)
      call kugetr(f_moliere)
      call kugetr(cxxrf)
      call kugetr(cyyrf)
      call kugetr(ctxtxrf)
      call kugetr(ctytyrf)
      call kugetr(cqqrf)
      call kugetr(qplimit)
      call kugetr(zmin_ec)
      call kugetr(zmax_ec)
      call kugetr(zmin_mag)
      call kugetr(zmax_mag)
      call kugetr(chmax_x)
      call kugetr(chmax_y)
      call kugetr(chmax_mag)
      call kugetr(chmax_tc)      

      call kugetc(segstor,nch)
      call kugetc(clmimp_pref,nch)
      call kugetr(qmin_x)
      call kugetr(qmin_y)
      call kugetr(qmin_tc)
      call kugeti(nhmin_y)
      call kugetc(cdgsel,nch)
      call kugeti(navmode)
      call kugetr(qpmxtrip)
      call kugetc(downstr,nch)
      call kugetr(qmin_d)
      call kugetc(sline,nch)
      call kugeti(sltmode)
      call kugetc(slt_magn,nch)
      call kugetc(tc_mode,nch)
      call kugetc(slt_clone,nch)
      
      call kugetc(chopt,nch)

      if (dlevel.gt.-99)   dlevel_zfpar  = dlevel
      if (rlevel.gt.-99)   rlevel_zfpar  = rlevel
      if (smooth.gt.-99)   smooth_zfpar  = smooth
      if (niter.gt.-99)    niter_zfpar = niter
      if (msmode.gt.-99)   msmode_zfpar = msmode
      if (fit.gt.-99)   rlevel_fit = fit
      if (max_plpick.gt.-99) max_plpick_zfpar = max_plpick
      if (maxflt_x.gt.-99) maxflt_patx_zfpar = maxflt_x
      if (maxflt_y.gt.-99) maxflt_paty_zfpar = maxflt_y
      if (maxflt_mag.gt.-99) maxflt_mag_zfpar = maxflt_mag
      if (maxflt_3d.gt.-99) maxflt_3d_zfpar = maxflt_3d       ! not used
      if (maxflt_tc.gt.-99) maxflt_tc_zfpar = maxflt_tc    
      if (rmax_x.gt.-99) rmax_x_zfpar = rmax_x
      if (rmax_y.gt.-99) rmax_y_zfpar = rmax_y
      if (minmimp_pref.gt.-99) minmimp_pref_zfpar = minmimp_pref
      if (navmode.gt.-99) navmode_zfpar = navmode
      if (sltmode.gt.-99) slt_mode_zfpar = sltmode

      if (whmin_x.gt.-99.) whitmin_x_zfpar = whmin_x
      if (whmin_y.gt.-99.) whitmin_y_zfpar = whmin_y       ! not used
      if (whmin_3d.gt.-99.) whitmin_3d_zfpar = whmin_3d    ! not used
      if (whmin_mag.gt.-99.) whitmin_mag_zfpar = whmin_mag
      if (whmin_tc.gt.-99.) whitmin_tc_zfpar = whmin_tc
      if (f_moliere.gt.-99.) f_moliere_zfpar = f_moliere

      if (cxxrf.gt.-99.)   cxxrf_zfpar   = cxxrf
      if (cyyrf.gt.-99.)   cyyrf_zfpar   = cyyrf
      if (ctxtxrf.gt.-99.) ctxtxrf_zfpar = ctxtxrf
      if (ctytyrf.gt.-99.) ctytyrf_zfpar = ctytyrf
      if (cqqrf.gt.-99.)   cqqrf_zfpar   = cqqrf
      if (qplimit.gt.-99.)  qplimit_zfpar  = qplimit
      if (zmin_ec.gt.-999.) zmin_ec_zfpar  = zmin_ec
      if (zmax_ec.gt.-999.) zmax_ec_zfpar  = zmax_ec
      if (zmin_mag.gt.-999.) zmin_mag_zfpar  = zmin_mag
      if (zmax_mag.gt.-999.) zmax_mag_zfpar  = zmax_mag
      if (chmax_x.gt.-999.) chmax_x_zfpar  = chmax_x
      if (chmax_y.gt.-999.) chmax_y_zfpar  = chmax_y
      if (chmax_mag.gt.-999.) chmax_mag_zfpar  = chmax_mag
      if (chmax_tc.gt.-999.) chmax_tc_zfpar  = chmax_tc
      if (qpmxtrip.gt.-999.) qpmax_trip_zfpar = qpmxtrip
      if (qmin_d.gt.-999.) qmin_down_zfpar = qmin_d

      if (segstor.eq.'Y'.or.segstor.eq.'N') 
     +     segstor_zfpar = segstor.eq.'Y'
      if (clmimp_pref.eq.'Y'.or.clmimp_pref.eq.'N') 
     +     clmimp_pref_zfpar = clmimp_pref.eq.'Y'
      if (qmin_x.gt.-999.)  qualmin_x_zfpar = qmin_x
      if (qmin_y.gt.-999.)  qualmin_y_zfpar = qmin_y
      if (qmin_tc.gt.-999.)  quality_tc_min = qmin_tc
      if (nhmin_y.gt.-999)  nhitmin_y_zfpar = nhmin_y
      if (cdgsel.eq.'Y'.or.cdgsel.eq.'N') 
     +     dgsel_zfpar = cdgsel.eq.'Y'
      if (downstr.eq.'Y'.or.downstr.eq.'N') 
     +     down_mode_zfpar = downstr.eq.'Y'
      if (sline.eq.'Y'.or.sline.eq.'N') 
     +     sline_mode_zfpar = sline.eq.'Y'
      if (slt_magn.eq.'Y'.or.slt_magn.eq.'N') 
     +     slt_magn_zfpar = slt_magn.eq.'Y'
      if (tc_mode.eq.'Y'.or.tc_mode.eq.'N') 
     +     tc_mode_zfpar = tc_mode.eq.'Y'
      if (slt_clone.eq.'Y'.or.slt_clone.eq.'N') 
     +     slt_clone_zfpar = slt_clone.eq.'Y'

      if (index(chopt,'L').gt.0) then
         print '(19(a18,'' = '',i12/))', ! print integers
     +        'dlevel_zfpar',dlevel_zfpar,
     +        'rlevel_zfpar',rlevel_zfpar,
     +        'smooth_zfpar',smooth_zfpar,
     +        'niter_zfpar',niter_zfpar,
     +        'msmode_zfpar',msmode_zfpar,
     +        'rlevel_fit',rlevel_fit,
     +        'max_plpick',max_plpick_zfpar,
     +        'maxflt_x_zfpar',maxflt_patx_zfpar,
     +        'maxflt_y_zfpar',maxflt_paty_zfpar,
     +        'maxflt_mag_zfpar',maxflt_mag_zfpar,
     +        'n maxflt_3d_zfpar',maxflt_3d_zfpar,     ! not used
     +        'maxflt_tc_zfpar',maxflt_tc_zfpar,
     +        'rmax_x_zfpar',rmax_x_zfpar,
     +        'rmax_y_zfpar',rmax_y_zfpar,
     +        'minmimp_pref_zfpar',minmimp_pref_zfpar,
     +        'n nhitmin_y_zfpar',nhitmin_y_zfpar,    ! not used
     +        'segstor_zfpar',segstor_zfpar,
     +        'navmode_zfpar',navmode_zfpar,
     +        'slt_mode_zfpar',slt_mode_zfpar

         print '(25(a18,'' = '',f12.4/))', ! print floats
     +        'whitmin_x_zfpar',whitmin_x_zfpar,
     +        'whitmin_y_zfpar',whitmin_y_zfpar,      !
     +        'n whitmin_3d_zfpar',whitmin_3d_zfpar,    ! not used
     +        'whitmin_mag_zfpar',whitmin_mag_zfpar,
     +        'whitmin_tc_zfpar',whitmin_tc_zfpar,
     +        'chmax_x_zfpar',chmax_x_zfpar,
     +        'chmax_y_zfpar',chmax_y_zfpar,
     +        'chmax_mag_zfpar',chmax_mag_zfpar,
     +        'chmax_tc_zfpar',chmax_tc_zfpar,
     +        'f_moliere',f_moliere_zfpar,
     +        'cxxrf_zfpar',cxxrf_zfpar,
     +        'cyyrf_zfpar',cyyrf_zfpar,
     +        'ctxtxrf_zfpar',ctxtxrf_zfpar,
     +        'ctytyrf_zfpar',ctytyrf_zfpar,
     +        'cqqrf_zfpar',cqqrf_zfpar,
     +        'qplimit_zfpar',qplimit_zfpar,
     +        'zmin_ec_zfpar',zmin_ec_zfpar,
     +        'zmax_ec_zfpar',zmax_ec_zfpar,
     +        'zmin_mag_zfpar',zmin_mag_zfpar,
     +        'zmax_mag_zfpar',zmax_mag_zfpar,
     +        'qualmin_x_zfpar',qualmin_x_zfpar,
     +        'qualmin_y_zfpar',qualmin_y_zfpar,
     +        'quality_tc_min',quality_tc_min,
     +        'qpmax_trip_zfpar',qpmax_trip_zfpar, 
     +        'qmin_down_zfpar',qmin_down_zfpar    

         print '(7(a18,'' = '',l12/))',  ! print logicals
     +        'clmimp_pref_zfpar',clmimp_pref_zfpar,
     +        'dgsel_zfpar',dgsel_zfpar,
     +        'down_mode_zfpar',down_mode_zfpar,
     +        'sline_mode_zfpar',sline_mode_zfpar,
     +        'slt_magn_zfpar',slt_magn_zfpar,
     +        'tc_mode_zfpar',tc_mode_zfpar,
     +        'slt_clone_zfpar',slt_clone_zfpar

      endif

      end
