
// *****************************************************************************
//
// source:    rcClassRECDV.C
//
// type:      source code
//
// created:   10 Nov 2000
//	
// author:    Dr. Andreas Gellrich
//            HERA-B Collaboration
//            Humboldt-University Berlin
//            Physics Department
//            Invalidenstr. 110
//            10115 Berlin
//            Germany
//            E-mail: Andreas.Gellrich@desy.de
//
// symbol:    rcClassRECDV
//
// called by: rcClassify
//
// purpose:   check secondary vertex
//
// hints:     do NOT set flagdst here!
//
// changes:
// 10 Nov 2000 (AG) creation
// 14 Nov 2000 (AG) polished printout
//
// *****************************************************************************

// ARTE includes
#include "arte/arte.hh"
#include "farm/farm.hh"

// externals
extern int FADEB;

// globals
float cutRECDV = 5.0; // default

//
// function code
//
int
rcClassRECDV()
{
  // show up
  ARTE_mark( "rcClassRECDV 0", 0 );

  int rc = 0;
  if( FADEB ) cout << "RECDV: cut=" << cutRECDV << endl;

  // show up
  ARTE_mark( "rcClassRECDV 1", 0 );
  
  return rc;
}
