*CMZ :          20/05/96  12.58.34  by  Unknown
*-- Author :  T.Lohse
c
c------------------------------------------------------------
c
c       subroutine:   VTADDC(iv,xM,maskc,flag)
c
c       input:    iv       =  vertex index      Int
c                 xM       =  mass constraint   R*8
c                 maskc    =  mask for tracks
c                             in constraint     Log
c
c       output:   flag     < 0 if fail          Int
c
c       action:   adds mass constraint to vertex iv
c                 active if VTMASS is called
c
c------------------------------------------------------------
c
      subroutine  VTADDC( iv, xM, maskc, flag )

      implicit none
#include "vt/vtdat.fi"

      integer iv
      double precision 
     1  xM
      logical maskc(ntrk)
      integer flag

      integer l, ll, i

      flag = -1
      if (iv.gt.nvtmax)         goto 999

      l = ntr(iv)
      ll = nconst(iv) + 1
      if ( ll .gt. ncomax )     goto 999
      nconst(iv) = ll

      xmc(iv,ll) = xM

      do  i = 1, l
        mask(iv,ll,i) = maskc(i)
      enddo

      flag = 0

  999 continue

      return
      end
